package com.ruoyi.demo.service;


import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.WdInfo;
import com.ruoyi.demo.entity.bo.WdCount;
import com.ruoyi.demo.entity.vo.ChannelMapAceeptVo;

import java.util.HashMap;

public interface ChannelMapService {
    public WdCount area(ChannelMapAceeptVo channel);
    public HashMap list(ChannelMapAceeptVo channel);

    public PageInfo<WdInfo> point(String[] channel, String searchText, String[] addrCode, int pageNum, int pageSize);

    WdInfo getWdInfo(String wdId);
}
